def task1():
    def print_values(dct, x):
        result = []
        for key, value in dct.items():
            if isinstance(value, dict):
                if x in value:
                    result.append(value[x])
            elif key == x:
                result.append(value)
        print(" ".join(map(str, result)))

    dct = {1: 123, 2: 234, 3: {1: 111, 2: 222}, 4: {1: "abc", 2: "def"}}
    x = 1
    print_values(dct, x)


def task2():
    def code(string, n):
        result = []
        for char in string:
            if "a" <= char <= "z":
                result.append(chr((ord(char) - ord("a") + n) % 26 + ord("a")))
            elif "A" <= char <= "Z":
                result.append(chr((ord(char) - ord("A") + n) % 26 + ord("A")))
            else:
                result.append(char)
        return "".join(result)

    print(code("Hello, World!", 1))


def task3():
    squares = (lambda x: x**2 for x in range(10))
    for square in squares:
        print(square)


def task4():
    reverse_lowercase = lambda s: s.lower()[::-1]
    print(reverse_lowercase("ACbdzYx"))


def task5():
    sequence = [i for i in range(1, 11) for _ in range(i)]
    print(sequence)


def task6():
    def parse_ranges(ranges_string):
        result = []
        ranges = ranges_string.split(",")
        for r in ranges:
            start, end = map(int, r.split("-"))
            result.extend(range(start, end + 1))
        return result

    print(parse_ranges("1-2,4-4,3-6"))


def task7():
    def msum(matrix):
        return sum(sum(row) for row in matrix)

    matrix = [[1, 2, 3], [4, 5, 6], [7, 8, 9]]
    print(msum(matrix))  # Результат: 45


if __name__ == "__main__":
    print("Task1:")
    task1()
    print("Task 2:")
    task2()
    print("Task 3:")
    task3()
    print("Task 4:")
    task4()
    print("Task 5:")
    task5()
    print("Task 6:")
    task6()
    print("Task 7:")
    task7()
